/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.internal.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.team.bugs.extension.Providers;
import org.eclipse.team.bugs.internal.views.BugModelSelection;
import org.eclipse.team.bugs.model.IBugProvider;
import org.eclipse.ui.IWorkbenchSite;

/**
 * 
 */
public class DeleteProviderAction extends Action {
    
    private final IWorkbenchSite fSite;
    
    public DeleteProviderAction(IWorkbenchSite site) {
        super("Delete");
        fSite= site;
    }
    
    public void run() {

        final IStructuredSelection selection= (IStructuredSelection)fSite.getSelectionProvider().getSelection();
        if (!(selection.getFirstElement() instanceof IBugProvider))
            return;

        final IBugProvider provider= (IBugProvider)selection.getFirstElement();
        
        if (provider == null)
            return;
        
        Providers.getInstance().removeProvider(provider);
    }

    /**
     * @param selection
     */
    public void setEnablement(BugModelSelection selection) {
        setEnabled(selection.providersOnly());        
    }
}
