/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.internal.main;

import org.eclipse.core.runtime.IAdapterFactory;
import org.eclipse.team.bugs.extension.Providers;
import org.eclipse.ui.model.IWorkbenchAdapter;

/**
 * 
 */
public class BugsAdapterFactory implements IAdapterFactory {
    
    private final ProvidersAdapter fProvidersAdapter;
    
    public BugsAdapterFactory() {
        fProvidersAdapter= new ProvidersAdapter();
    }

    public Object getAdapter(Object adaptableObject, Class adapterType) {

        if (adapterType == IWorkbenchAdapter.class) {
            
            if (adaptableObject instanceof Providers)
                return fProvidersAdapter;
        }
        return null;
    }

    public Class[] getAdapterList() {
        return new Class [] { IWorkbenchAdapter.class };
    }
}
