/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugs.internal.registry;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.team.bugs.internal.main.BugsPlugin;

public class AddProviderWizardRegistry extends RegistryReader {

	public static final String PT_SYNCHRONIZE_WIZARDS = "addProviderWizard"; //$NON-NLS-1$
	private static final String TAG_SYNCHRONIZE_WIZARD = "wizard"; //$NON-NLS-1$
	
	private final Map fWizards = new HashMap();
	
	/* (non-Javadoc)
	 * @see org.eclipse.team.internal.ui.registry.RegistryReader#readElement(org.eclipse.core.runtime.IConfigurationElement)
	 */
	protected boolean readElement(IConfigurationElement element) {
		if (element.getName().equals(TAG_SYNCHRONIZE_WIZARD)) {
			AddProviderWizardDescription desc;
			try {
				desc = new AddProviderWizardDescription(element);
				fWizards.put(desc.getId(), desc);
			} catch (CoreException e) {
				BugsPlugin.log(e);
			}
			return true;
		}
		return false;
	}
	
	public AddProviderWizardDescription[] getAddProviderWizards() {
		return (AddProviderWizardDescription[])fWizards.values().toArray(new AddProviderWizardDescription[fWizards.size()]);
	}
	
	public AddProviderWizardDescription find(String id) {
		return (AddProviderWizardDescription)fWizards.get(id);
	}

}
