/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.internal.views.dnd;

import org.eclipse.swt.dnd.DropTargetEvent;
import org.eclipse.team.bugs.model.IGenericModel;

/**
 * 
 */
public abstract class BugsDragDropAdapter {

    /**
     * Yields the model element for a given SWT item of the tree. 
     * TODO: This is not JFace API, we should find a way to do this in a better way.
     * 
     * @param event the SWT item.
     * @return the model element.
     */
    protected IGenericModel getModelElement(DropTargetEvent event) {
        return event.item == null ? null : (IGenericModel)event.item.getData();
    }
}
