/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.internal.wizards;

import org.eclipse.jface.wizard.Wizard;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.swt.widgets.Shell;

/**
 * 
 */
public class AddProviderWizard extends Wizard {
    
    private SelectProviderTypePage fPage;
    
    public AddProviderWizard() {
        setWindowTitle("Add a bug system");
		setForcePreviousAndNextButtons(true);
		setNeedsProgressMonitor(false);
    }
 
    public boolean canFinish() {
        if (getContainer().getCurrentPage() == fPage)
            return false;
        return super.canFinish();
    }
    
    public boolean performFinish() {
    	// If we are on the first page, never allow finish unless the selected
		// wizard has no pages.
		if (getContainer().getCurrentPage() == fPage) {
			return fPage.getSelectedWizard() != null && fPage.getNextPage() == null;
		}
		return super.canFinish();
    }
    
    public void addPages() {
        fPage= new SelectProviderTypePage();
        addPage(fPage);
    }
    
    public static void execute(Shell shell) {
        final WizardDialog dialog= new WizardDialog(shell, new AddProviderWizard());
        dialog.open();
    }
}
