/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.internal.wizards;

import java.util.ArrayList;
import java.util.Iterator;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.team.bugs.internal.registry.AddProviderWizardDescription;

/**
 * 
 */
public class WizardDescriptorLabelProvider extends LabelProvider {
    
    private final ArrayList fImageCache;
    
    public WizardDescriptorLabelProvider() {
        fImageCache= new ArrayList();
    }

    public Image getImage(Object element) {
        
		if (element instanceof AddProviderWizardDescription) {
		    final AddProviderWizardDescription wizardDescription = (AddProviderWizardDescription)element;
		    final ImageDescriptor imageDescriptor = wizardDescription.getImageDescriptor();
		    final Image image = imageDescriptor.createImage();
			fImageCache.add(image);
			return image;
		}
		return null;
    }

    public String getText(Object element) {
        return ((AddProviderWizardDescription)element).getName();
    }
    
    public void dispose() {
        for (Iterator iter = fImageCache.iterator(); iter.hasNext();) {
            Image image = (Image) iter.next();
            image.dispose();
        }
        super.dispose();
    }
}

