/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.model;


/**
 * An interface for elements of the model to be displayed in the BTS view.
 */
public interface IGenericModel {
    
    /**
     * Get the bug provider for this model.
     * @return The bug provider
     */
    public IBugProvider getProvider();

    /**
     * Set the refreshing property of this element. This is typically set for
     * remote elements when new content for this element is being fetched in the
     * background. The label provider can represent this fact accordingly. It is in the 
     * responsibility of the model to notify listeners on the provider.
     * @param refreshing
     *                the new value for the refreshing property
     */
    public void setRefreshing(boolean refreshing);

    /**
     * Get the refreshing property of this element.
     * 
     * @return the refreshing property
     */
    public boolean isRefreshing();
}