/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugs.tools;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;

/**
 * 
 */
public class SWTUtils {

    public static GridData createGridData(int width, int height, boolean hFill, boolean vFill) {
        final GridData gd= new GridData(hFill ? SWT.FILL : SWT.BEGINNING, vFill ? SWT.FILL : SWT.BEGINNING, hFill, vFill);
        gd.widthHint= width;
        gd.heightHint= height;
        return gd;
    }
    
    public static GridData createHFillGridData() {
        return createGridData(0, SWT.DEFAULT, true, false);
    }
    
    public static GridData createHVFillGridData() {
        return createGridData(0, 0, true, true);
    }
}
