/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.adapters;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.team.bugs.extension.Providers;
import org.eclipse.team.bugzilla.BugzillaImages;
import org.eclipse.team.bugzilla.browser.IWebContentAdapter;
import org.eclipse.team.bugzilla.datatypes.BugzillaConfiguration;
import org.eclipse.team.bugzilla.model.BugzillaProvider;

/**
 * 
 */
public class BugzillaProviderAdapter extends ContainerAdapter implements /*IPresentableAdapter,*/ IWebContentAdapter {

    public BugzillaProviderAdapter() {
        super();
    }
    /*
    public void present(Object presentable, StyledText styledText) {
    	
    	//System.out.println("BugzillaProviderAdapter present " + presentable.toString());
//        new BugzillaModelPresenter().present((BugzillaProvider)presentable, styledText);
    }*/

    protected ImageDescriptor doGetImageDescriptor(Object object) {
		if (object instanceof BugzillaProvider) {
			return ((BugzillaProvider)object).getImageDescriptor();
		}
		
        return BugzillaImages.BUGZILLA;
    }

    public String getLabel(Object o) {
        final BugzillaConfiguration configuration= ((BugzillaProvider)o).getConfiguration();
        return configuration.getName() + "  [" + configuration.getBaseURL() + "]";
    }
    
    public String getURL(Object o) {
        final BugzillaProvider provider= (BugzillaProvider)o;
        return provider.getOperations().getConfiguration().getBaseURL();
    }
    
    /* (non-Javadoc)
     * @see org.eclipse.team.bugzilla.adapters.ModelElementAdapter#getParent(java.lang.Object)
     */
    public Object getParent(Object o) {
        return Providers.getInstance();
    }
}
