/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugzilla.adapters;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.team.bugzilla.BugzillaImages;
import org.eclipse.team.bugzilla.model.BugzillaContainer;
import org.eclipse.team.bugzilla.model.BugzillaModel;

/**
 * Abstract adapter for bugzilla containers
 */
public abstract class ContainerAdapter extends ModelElementAdapter {

    public Object[] getChildren(Object o) {
        if (o instanceof BugzillaContainer)
            return ((BugzillaContainer)o).getChildren();
        return new BugzillaModel[0];
    }

    protected ImageDescriptor doGetImageDescriptor(Object object) {
        return BugzillaImages.FOLDER;
    }

    public String getLabel(Object o) {
        if (o instanceof BugzillaContainer)
            return ((BugzillaContainer)o).getName();
        return null;
    }

}
