/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.browser;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.browser.LocationListener;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IPersistableElement;

/**
 * 
 */
public class BugzillaBrowserInput implements IEditorInput {
    
    private String fURL; 
    private LocationListener listener;

    public BugzillaBrowserInput() {
        super();
    }
    
    public void setURL(String url) {
        fURL= url;
    }
    
    public String getURL() {
        return fURL;
    }

    public boolean exists() {
        return false;
    }

    public ImageDescriptor getImageDescriptor() {
        return null;
    }

    public String getName() {
        return fURL.toString();
    }

    public IPersistableElement getPersistable() {
        return null;
    }

    public String getToolTipText() {
        return "";
    }

    public Object getAdapter(Class adapter) {
        return null;
    }
    
	public LocationListener getLocationListener() {
		return listener;
	}
	
	public void setLocationListener(LocationListener listener) {
		this.listener = listener;
	}
}
