/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.bugzilla.datatypes;

import org.eclipse.team.bugzilla.BugzillaFactory;



public class BugzillaConfiguration {
    
    private String fName;
    private String fBaseURL;
    private String fCookie;
    private int version;
    
    public BugzillaConfiguration(String name, String baseURL) {
        fName= name;
        fBaseURL= baseURL;
        version = BugzillaFactory.VERSION_UNKNOWN;
    }
    
    public void setBaseURL(String baseURL) {
        fBaseURL = baseURL;
    }
    
    public String getBaseURL() {
        return fBaseURL;
    }
    
    public String getName() {
        return fName;
    }
    
    public void setName(String name) {
        fName = name;
    }

    public void setLoginCookie(String cookie) {
        this.fCookie = cookie;
    }

    public String getLoginCookie() {
        return fCookie;
    }
    
    
	public int getVersion() {
		return version;
	}
	
	public void setVersion(int version) {
		this.version = version;
	}
}
