/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.model;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.team.bugs.model.IGenericModel;
import org.eclipse.team.bugzilla.BugzillaException;


/**
 * An interface for elements which have remote content.
 */
public interface IRemoteModel extends IGenericModel {
    
    /**
     * Re-fetch data from the BTS.
     * 
     * @param monitor a progress monitor
     */
	public void refresh(IProgressMonitor monitor) throws BugzillaException;

	/**
	 * Update this element with the new data.
	 */
	public void update();
	
	
	public boolean needsRefresh();

}
