package org.eclipse.team.bugzilla.operations;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.team.bugzilla.BugzillaException;
import org.eclipse.team.bugzilla.datatypes.BugzillaConfiguration;
import org.eclipse.team.bugzilla.datatypes.ReportData;
import org.eclipse.team.bugzilla.xml.Parser;
import org.eclipse.team.bugzilla.xml.ReportHandler;
import org.eclipse.team.bugzilla.xml.ReportHandler_2_18;

/*
 * Not a whole lot has changed in BugzillaOperations since bugzilla 2.16, so we just
 * inherit the 2.16 functionality and change the ReportHandler creation to 2.18.
 * 
 */
public class BugzillaOperations_2_18 extends BugzillaOperations_2_16 {
	
	public ReportData getReportData(IProgressMonitor monitor, BugzillaConfiguration configuration, String id) throws BugzillaException {
        
        monitor.subTask("Fetching report data");
        try {
			String url = configuration.getBaseURL();
			if (!url.endsWith("/")) {
				url += "/";
			}
            url += bugScript + id.trim(); //$NON-NLS-1$
            final HTTPConnection connection= new HTTPConnection(url);
            final String xml= connection.getString(monitor);
            final ReportHandler handler= new ReportHandler_2_18();
            new Parser(false, false).parse(xml, handler);
            return handler.getReportData();
        } finally {
            monitor.done();
        }
    }
}
