package org.eclipse.team.bugzilla.operations;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.team.bugzilla.BugzillaException;
import org.eclipse.team.bugzilla.datatypes.AttachmentData;
import org.eclipse.team.bugzilla.datatypes.AttachmentDescription;
import org.eclipse.team.bugzilla.datatypes.BugzillaConfiguration;
import org.eclipse.team.bugzilla.datatypes.CommentData;
import org.eclipse.team.bugzilla.datatypes.ReportData;

import java.io.IOException;
import java.net.MalformedURLException;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Vector;

import org.apache.xmlrpc.XmlRpcClient;
import org.apache.xmlrpc.XmlRpcException;

public class BugzillaOperations_RH extends BugzillaOperations_2_18 {
	String uid = "bugtesting@overholt.ca";

	String pass = "sqZb2B5C5z";

	String url = "https://bugzilla.redhat.com/bugzilla/xmlrpc.cgi";

	XmlRpcClient xmlrpc;

	BugzillaOperations_RH() {
		try {
			xmlrpc = new XmlRpcClient(url);
			System.out.println("Connected to rpc server");
		} catch (MalformedURLException e) {
			System.err.println("Could not connect to host");
			e.printStackTrace();
		}
	}

	public ReportData getReportData(IProgressMonitor monitor,
			BugzillaConfiguration configuration, String id)
			throws BugzillaException {
		Object result = null;
		ReportData d = null;
		Vector params = new Vector();
		params.addElement(id);
		params.addElement(uid);
		params.addElement(pass);
		// this method returns a string
		try {
			result = xmlrpc.execute("bugzilla.getBug", params);
			System.out.println("result is a " + result.getClass().getName());
			System.out.println("Received server response");
			System.out.println(result.toString());
		} catch (XmlRpcException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			System.out.println(e.toString());
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		d = new ReportData((Map) result);

		Vector comments = (Vector) ((Map) result).get(ReportData.LONGDESCS);
		if (comments != null){
			for (Iterator iter = comments.iterator(); iter.hasNext();) {
				Map comment = (Map) iter.next();
				d.comments.add(new CommentData(comment));
			}		
			System.err.println("Bug had no comments");
		}

		/* If an object is empty, we might get it as an empty string from the
		 * XML-RPC framework, we have to check for that case.
		 * 
		 *  Currently it only happens with CC for some reason. */
		
		Object o = ((Map) result).get(ReportData.CC);
		if (o instanceof Vector){
			Vector ccs = (Vector) o;
			if (ccs != null) {
				for (Iterator iter = ccs.iterator(); iter.hasNext();) {
					String cc = (String) iter.next();
					d.ccs.add(cc);
				}
			}
		}
		
		Vector blocks = (Vector) ((Map) result).get(ReportData.BLOCKS);
		if (blocks != null){
			for (Iterator iter = blocks.iterator(); iter.hasNext();) {
				Integer bug = (Integer) iter.next();
				d.blocks.add(bug);
			}
		}

		Vector depends = (Vector) ((Map) result).get(ReportData.DEPENDSON);
		if (depends != null ){
			for (Iterator iter = depends.iterator(); iter.hasNext();) {
				Integer bug = (Integer) iter.next();
				d.dependsOn.add(bug);
			}			
		}

		return d;

	}
}
