/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.team.bugzilla.persistence;

import org.eclipse.team.bugzilla.BugzillaException;
import org.eclipse.team.bugzilla.model.BugzillaContainer;
import org.eclipse.team.bugzilla.model.BugzillaModel;
import org.eclipse.team.bugzilla.model.BugzillaReport;
import org.osgi.service.prefs.Preferences;


public class ReportPersistenceAdapter extends AbstractPersistenceAdapter {

    protected String getType() {
        return PersistenceManager.REPORT;
    }

    /* (non-Javadoc)
     * @see org.eclipse.team.bugzilla.persistence.AbstractPersistenceAdapter#create(org.eclipse.team.bugzilla.model.BugzillaModel, org.osgi.service.prefs.Preferences)
     */
    protected BugzillaModel restore(BugzillaContainer parent, Preferences node, String id) throws BugzillaException {
        if (empty(id))
            throw new BugzillaException(BugzillaException.PERSISTENCE_READ_ERROR, "ID of report empty");
        return new BugzillaReport(parent, id);
    }
}