/*
 * Created on 27-Jan-2005
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package org.eclipse.team.bugzilla.xml;

import java.text.SimpleDateFormat;

import org.eclipse.team.bugzilla.datatypes.AttachmentDescription;
import org.eclipse.team.bugzilla.datatypes.CommentData;
import org.eclipse.team.bugzilla.datatypes.ReportData;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;

/*
 * Not a whole lot has changed in report handling since bugzilla 2.16, so we just
 * inherit the 2.16 functionality and change the version checking to 2.18.
 * 
 */
public class ReportHandler_2_18 extends ReportHandler_2_16 {

	public ReportHandler_2_18() {
		super();
		fAttachmentDateFormat= new SimpleDateFormat("yyyy-MM-dd HH:mm");
	}
	
	public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {

        final int token= LookupTable.get(qName);
        
        switch (token) {

        case BUGZILLA:
            final String value= attributes.getValue("version"); //$NON-NLS-1$
//            if (value == null || !value.startsWith("2.18")) //$NON-NLS-1$
//                throw new SAXException("The actual version doesn't match the expected version!"); //$NON-NLS-1$
            fReport= new ReportData();
            fReport.set(ReportData.BUGZILLAVERSION, value);
            break;

        case LONG_DESC:
            fComment= new CommentData();
            break;

        case ATTACHMENT:
            fAttachment= new AttachmentDescription();
            break;
        }
    }
}
